import math

from pymunk.vec2d import Vec2d


TURN_ON_BITS = False  # Cheat

CAPTION = "-= PZ -=- PW18 -=- BIT FLAGS ROBO =-"
W = 600
H = 480
HW = 600 / 2
HH = 480 / 2
CENTER = Vec2d(HW, HH)

BACK_COLOR = (255, 255, 255, 255)

BIT_TRUE = 1
BIT_FALSE = 0
BIT_NOT_READY = None

UI_PADDING_LEFT = 28
UI_PADDING_TOP = 50
UI_SPACING = 32
UI_MIDDLE_SPACCING = 12

PL_INIT_POS = Vec2d(HW, 100.0)
PL_POS_SPEED = 80.0
PL_ROT_SPEED = math.pi / 2.0
PL_RADIUS = 24.0
PL_ROT_MULTIPLY = 0.25

COLL_PADDING = 100
COLL_SIZE = 100

COLL_PL = 1
COLL_RM = 2
COLL_EX = 3
COLL_LT = 4
COLL_TA = 5
COLL_SE = 6
COLL_BU = 7

ROOM_PADDING = 4.0
ROOM_LABEL_COLOR = (229, 229, 229, 255)
ROOM_LABEL_SIZE = 36

EXIT_W = 120.0
EXIT_DELTA = 50.0

BULLET_SPEED = 140.0
BULLET_DELTA = Vec2d(0.0, 36.0)

GATE_DELTA = 12.0
GATE_LEN = 96.0
GATE_HLEN = GATE_LEN / 2.0
GATE_POINT_R = 8.0

ENEMY_CHANCE_TO_SHOOT = 0.4
ENEMY_SPEED = 40.0
ENEMY_ROT_MULTIPLY = 0.25

TOTAL_ENEMIES = 3

START_LABEL_COLOR = (0, 0, 0, 255)
START_LABEL_SIZE = 36
START_TEXT = u'Kill 3 robots\n\n<< Press anything >>'

END_LABEL_COLOR = (0, 0, 0, 255)
END_LABEL_SIZE = 36
END_TEXT = u'Thank You for playing!\n\nI\'ve no time for end screen :)'
