import pymunk

from cocos.sprite import Sprite

from bitflags import cfg
from bitflags.data import img


class Loot(Sprite):
    def __init__(self, pos, bit_index):
        super(Loot, self).__init__(img('loot.png'))
        self.position = pos

        self.cshape = pymunk.Poly.create_box(
            pymunk.Body(),
            size=(self.width, self.height)
        )
        self.cshape.collision_type = cfg.COLL_LT
        self.cshape.body.position = pos
        self.cshape.bit_index = bit_index
        self.cshape.sprite = self
