from cocos.sprite import Sprite


class RGB(Sprite):
    def __init__(self, r, g, b):
        self.r = r
        self.g = g
        self.b = b
        super(RGB, self).__init__(self.get_image())

    def rgb(self):
        return [x or 0 for x in (self.r, self.g, self.b)]

    def get_image(self):
        return self.get_image_map()[''.join(map(str, self.rgb()))]

    def update_image(self):
        self.image = self.get_image()
